Update tenant avatar
PUT
/tenants/{id}/avatar
const url = 'https://api.muninx.com/tenants/this/avatar';const form = new FormData();form.append('avatar', 'file');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.muninx.com/tenants/this/avatar \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form avatar=@fileUploads and resizes the workspace logo for the tenant organization identified by the authenticated token. Only tenant admins can perform this operation. Use this as the ID to select that tenant organization.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Tenant organization ID or ‘this’
Example
thisRequest Body required
Section titled “Request Body required ” Media type multipart/form-data
object
avatar
required
Avatar image (jpg, png, webp). Max 5MB.
string format: binary
Responses
Section titled “ Responses ”OK
Media type application/json
object
key
additional properties
string
Example generated
{ "additionalProperty": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}